using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace BindingToSelectedRecord_Wpf_2009_Q12
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			Context context = CreateContext();
			this.DataContext = context;
		}

		private Context CreateContext()
		{
			var source = GetMessages();
			var context = new Context();
			context.ItemsSource = source;
			context.SelectedItem = source[1];
			return context;
		}

		private IList<Message> GetMessages()
		{
			return new Message[] { 
			                     	new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100 },
			                     	new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
			                     	new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 }
			                     };
		}

		private void SelectFirstButton_Click(object sender, RoutedEventArgs e)
		{
			((Context)this.DataContext).SelectedIndex = 0;
		}

		private void SelectThirdButton_Click(object sender, RoutedEventArgs e)
		{
			((Context)this.DataContext).SelectedIndex = 2;
		}
	}
}
